Bug 137289 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libmusicbrainz (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 06:20 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 16:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-27 06:20:30 EDT
Description of problem:

I just tried to compile package libmusicbrainz-2.0.2-10 from 
Redhat Fedora Core 3 Test 3.

The compiler said

tiger.c(162): remark #1011: missing return statement at end of
non-void function "tiger_compress"

Upon inspection of the source code, I recommend marking the return type
of the function as void.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.